<?php
header("Content-type:text/html;charset=utf-8");  
session_start();
$session_admin = isset($_SESSION['admin']) ? $_SESSION['admin'] : ''; 
if ($session_admin == '') {
	die("Can not access");
}
require_once("../common.php");
checkadminrights($session_admin, 'users');

function step2() {
	require_once("../common.php");

	$userid = isset($_GET['userid']) ? $_GET['userid'] : '0'; 
	$nickname = isset($_GET['nickname']) ? urldecode($_GET['nickname']) : '';
	$searchtype = isset($_GET['searchtype']) ? $_GET['searchtype'] : '1'; 
	$searchparam = isset($_GET['searchparam']) ? urldecode($_GET['searchparam']) : '';
	$sex = isset($_GET['sex']) ? $_GET['sex'] : '-1'; 
	$age = isset($_GET['age']) ? $_GET['age'] : '-1'; 
	$online = isset($_GET['online']) ? $_GET['online'] : '-1'; 
	$pageindex = isset($_GET['pageindex']) ? $_GET['pageindex'] : '1';

	//subpageurlparams
	$subpageurlparams = 'userid=' . $userid . '&nickname=' . urlencode($nickname) . 
		'&searchtype=' . $searchtype . '&searchparam=' . urlencode($searchparam) . 
		'&sex=' . $sex . '&age=' . $age . '&online=' . $online . '&pageindex=' . $pageindex;

	$methodname = 'Admin.RemoveUser';
	$requestinfo = '<?xml version="1.0" encoding="utf-8"?><request>' . 
		'<ip>' . getip() . '</ip>' . 
		'<userid>' . $userid . '</userid>' . 	
		'</request> ';
	$responseinfo = '';
	$responsexml = null;
	$errorcode = ERRORCODE_UNKNOWN;

	$cmd = new COM("OpenCom.Command");
	$methodname = iconv('UTF-8', 'GBK//IGNORE', $methodname);
	$requestinfo = iconv('UTF-8', 'GBK//IGNORE', $requestinfo);
	if ($cmd->Execute($methodname, $requestinfo, $responseinfo, 5000)) {
		$responseinfo = iconv('GBK', 'UTF-8//IGNORE', $responseinfo);
		$responsexml = simplexml_load_string($responseinfo);
		$errorcode = $responsexml->errorcode;
	}
	$cmd = null;

	switch($errorcode) {
		case ERRORCODE_OK: 
			header("location:   users.php?{$subpageurlparams}");
			break;
		default:
			header("location:   users.php?{$subpageurlparams}");
	}//switch
}//step2

$step = isset($_GET['step']) ? $_GET['step'] : '1'; 

if ($step == '2') {
	step2();
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link type="text/css" rel="stylesheet" href="../css/base.css" />
</head>
<body>

<?php
	$userid = isset($_GET['userid']) ? $_GET['userid'] : '0'; 
	$nickname = isset($_GET['nickname']) ? urldecode($_GET['nickname']) : '';
	$searchtype = isset($_GET['searchtype']) ? $_GET['searchtype'] : '1'; 
	$searchparam = isset($_GET['searchparam']) ? urldecode($_GET['searchparam']) : '';
	$sex = isset($_GET['sex']) ? $_GET['sex'] : '-1'; 
	$age = isset($_GET['age']) ? $_GET['age'] : '-1'; 
	$online = isset($_GET['online']) ? $_GET['online'] : '-1'; 
	$pageindex = isset($_GET['pageindex']) ? $_GET['pageindex'] : '1';

	//subpageurlparams
	$subpageurlparams = 'userid=' . $userid . '&nickname=' . urlencode($nickname) . 
		'&searchtype=' . $searchtype . '&searchparam=' . urlencode($searchparam) . 
		'&sex=' . $sex . '&age=' . $age . '&online=' . $online . '&pageindex=' . $pageindex;
echo<<<EOT
	<div class="msgbox">
		<div class="msgbox_text">
			<img width="40px" height="40px" align="absmiddle" src="../images/warning.gif" />&nbsp;确定要删除&nbsp;&quot;$nickname&quot;&nbsp;帐号吗？
		</div>
		<div class="msgbox_btns">
			<input class="cssbtn" type="button" value="确定" onclick="window.location='users_remove.php?step=2&{$subpageurlparams}'" />
			<input class="cssbtn" type="button" value="取消" onclick="window.location='users.php?{$subpageurlparams}'" />
		</div>
	</div>
EOT;
?>

</body>
</html>
